## tinyscheme 1.42.svn.2020.06.04

=== SConstruct ===
DEFINES='-DUSE_DL=1 -DUSE_MATH=1 -DUSE_ASCII_NAMES=1'
FILES=['scheme.c', 'dynload.c']
Program(FILES, LIBS=['m', 'dl'], CCFLAGS=DEFINES)
StaticLibrary(FILES, CCFLAGS=DEFINES)
SharedLibrary(FILES, CCFLAGS=DEFINES)

## tinyscheme 1.41

=== debian/changelog ===
tinyscheme (1.41-1) unstable; urgency=low

  * New upsteram version.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 22 Apr 2013 07:41:32 +0100

tinyscheme (1.40.svn.2012.12.14-1) unstable; urgency=low

  * Hijack package.
  * Update Debian packaging scripts
    - add watch file from qa.debian.org
    - source format 3.0
    - move upstream mods to debian/patches/
    - dh 9
    - add self to uploaders
    - bump policy version (no changes required)
    - add pointer to upstream svn repo to debian/copyright
    - add homepage field
    - add vcs fields
  * New upstream version.
    - forward port debian patches through dos2unix hassles
    - patch to scheme.c obsoleted by upstream mods, remove
  * Address lintian man page hyphen dash slash concerns
  * Migrate man page installation from makefile patch to debian/manpages
  * Write and engage custom debian/Makefile that uses implicit rules thus
    allowing hardening flags to flow via the default mechanisms.
  * Migrate #define tweaks from scheme.h patch to debian/Makefile.
  * Remove -fpic from debian/Makefile: not building shared library.
  * Merge with upstream development snapshot.
    - Trunk of upstream svn repo, commit date 14-Dec-2014.
    - Consists almost entirely of bug fixes.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 19 Feb 2013 14:39:02 +0000

tinyscheme (1.37-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * scheme.c:
    - Apply patch from upstream CVS (revno 1.13 and 1.21) to fix a
      segfault when invoking let or letrec (Closes: #380439).
    - Apply patch from upstream CVS (revno 1.7) to fail gracefully when
      mk_vector is out of memory (Closes: #499887).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 24 Sep 2008 01:15:22 +0200

tinyscheme (1.37-3) unstable; urgency=low

  * took away rest of references about "ts".

 -- Panu Kalliokoski <atehwa@sange.fi>  Fri, 12 May 2006 15:32:57 +0300

tinyscheme (1.37-2) unstable; urgency=low

  * Added a get-orig-source rule in debian/rules.
  * Dropped manpage building so that it doesn't have to build-depend on
    stx2any and moved it into debian/.
  * Changed Uploaders: field.
  * Renamed the program from ts to tinyscheme.

 -- Panu Kalliokoski <atehwa@sange.fi>  Tue, 25 Apr 2006 15:45:46 +0300

tinyscheme (1.37-1) unstable; urgency=low

  * New upstream version.

 -- Panu Kalliokoski <atehwa@sange.fi>  Wed, 19 Apr 2006 23:33:02 +0300

tinyscheme (1.35-5) unstable; urgency=low

  * Checked spelling of debian/ files
  * fixes from debian-mentors
  * first upload (closes: #234854)

 -- Panu Kalliokoski <atehwa@sange.fi>  Wed,  1 Mar 2006 15:17:42 +0200

tinyscheme (1.35-4) unstable; urgency=low

  * fixed lintian errors
  * added manual page

 -- Panu Kalliokoski <pkalliok@juiblex.it.helsinki.fi>  Tue, 28 Feb 2006 12:48:42 +0200

tinyscheme (1.35-3) unstable; urgency=low

  * fixed bug: ts should be able to find init.scm.
  * documented binary name

 -- Panu Kalliokoski <atehwa@sange.fi>  Tue, 11 Jan 2005 00:46:01 +0200

tinyscheme (1.35-2) unstable; urgency=low

  * Property lists and math functions compiled in.

 -- Panu Kalliokoski <atehwa@sange.fi>  Tue, 11 Jan 2005 00:36:12 +0200

tinyscheme (1.35-1) unstable; urgency=low

  * Initial Release.
  * debianised by dh_make.

 -- Panu Kalliokoski <atehwa@sange.fi>  Mon, 10 Jan 2005 23:13:42 +0200

=== debian/control ===
Source: tinyscheme
Section: interpreters
Priority: optional
Maintainer: Panu Kalliokoski <atehwa@sange.fi>
Uploaders: MJ Ray (Debian) <mjr@debian.org>,
	   Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://tinyscheme.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/tinyscheme.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tinyscheme.git

Package: tinyscheme
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Very small scheme implementation
 TinyScheme is an implementation of the algorithmic language Scheme that
 aims to very small memory footprint while being as close to R5RS as
 practically feasible.  TinyScheme is also a good base for hacking,
 given the implementation's small size, easy gluing with C and code
 being fully reentrant.
 .
 TinyScheme is based on an s-expression evaluator.  This package
 distributes TinyScheme as a standalone executable.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://qa.debian.org/watch/sf.php/tinyscheme/tinyscheme-(\d.*)\.(?:tgz|zip|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sun, 06 Jan 2013 19:44:07 +0000

## tinyscheme 1.41.svn.2016.03.21

=== debian/changelog ===
tinyscheme (1.41.svn.2016.03.21-1) unstable; urgency=medium

  * Merge NMU
  * Bump to debhelper 10
  * Bump standards version, no changes required
  * Harden
  * Merge upstream changes

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 03 May 2017 13:30:55 +0100

tinyscheme (1.41-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5": add patch from Nicholas Luedtke:
    Removed inline from function signatures to work with test cases.
    (Closes: #778146)

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Jul 2015 16:15:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Panu Kalliokoski <atehwa@sange.fi>
 Uploaders: MJ Ray (Debian) <mjr@debian.org>,
 	   Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 10)
+Standards-Version: 3.9.8
 Homepage: http://tinyscheme.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/tinyscheme.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tinyscheme.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_configure:

override_dh_auto_build:
	dh_auto_build -- -f debian/Makefile

override_dh_auto_install:
	ln -f scheme tinyscheme

## tinyscheme 1.42.svn.2020.06.04

=== debian/changelog ===
tinyscheme (1.42.svn.2020.06.04-2) unstable; urgency=medium

  * List self as maintainer, per MIA team request (closes: #871237)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 08 Jun 2020 23:11:24 +0100

tinyscheme (1.42.svn.2020.06.04-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Barak A. Pearlmutter ]
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * New upstream release
  * Merge upstream changes
  * Bump policy
  * Rules-Requires-Root: no
  * non-build-breaking typo in debian/rules

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 08 Jun 2020 11:21:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: tinyscheme
 Section: interpreters
 Priority: optional
-Maintainer: Panu Kalliokoski <atehwa@sange.fi>
-Uploaders: MJ Ray (Debian) <mjr@debian.org>,
-	   Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://tinyscheme.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/tinyscheme.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tinyscheme.git
+Vcs-Git: https://salsa.debian.org/debian/tinyscheme.git
+Vcs-Browser: https://salsa.debian.org/debian/tinyscheme
 
 Package: tinyscheme
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 %:
 	dh $@
 
-override_dh_configure:
+override_dh_auto_configure:
 
 override_dh_auto_build:
 	dh_auto_build -- -f debian/Makefile

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://qa.debian.org/watch/sf.php/tinyscheme/tinyscheme-(\d.*)\.(?:tgz|zip|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sun, 06 Jan 2013 19:44:07 +0000
